﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using RedCritterConnecter.Samples;

namespace GetUserProfileByEmailSample
{
    public partial class Form1 : Form
    {
        private GetUserProfileByEmail GetUserProfileByEmail = new GetUserProfileByEmail();

        public Form1()
        {
            InitializeComponent();
          
            GetUserProfileByEmail.onGetUserProfileByEmailResponse += GetUserProfileByEmail_onGetUserProfileByEmailResponse;
            GetUserProfileByEmail.onGetUserProfileByEmailResponseError += GetUserProfileByEmail_onGetUserProfileByEmailResponseError;
        }

        private void bGetUserProfileByEmail_Click(object sender, EventArgs e)
        {
          
            GetUserProfileByEmail.Execute(tEmail.Text);
        }

        void GetUserProfileByEmail_onGetUserProfileByEmailResponseError(GetUserProfileByEmailResponse GetUserProfileByEmailResponse)
        {
            lResult.Text = "GetUserProfileByEmail call failed";
        }

        void GetUserProfileByEmail_onGetUserProfileByEmailResponse(GetUserProfileByEmailResponse GetUserProfileByEmailResponse)
        {
            lResult.Text = "GetUserProfileByEmail call was successfully submitted";

            for (int i = 0; i < GetUserProfileByEmailResponse.Apps.Count; i++)
            {
                txtRewardName.Text += "AppID = " + GetUserProfileByEmailResponse.Apps[i].AppID.ToString();
                txtRewardName.Text += "\r\n";
                txtRewardName.Text += "AppName = " + GetUserProfileByEmailResponse.Apps[i].AppName.ToString();
                txtRewardName.Text += "\r\n";
                txtRewardName.Text += "\r\n";
                txtRewardName.Text += "\r\n";
                txtRewardName.Text += "\r\n";
            }

            
        }



    }
}
